import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderLinks from "components/Header/HeaderLinks.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";
import Footer from "components/Footer/Footer.js";
import GetProfile from "api/profile/profile.js"
import DataProfile from "pages-sections/suzuki/profile/profile.js"
import Cookies from "cookies";

const useStyles = makeStyles(styles);
const Profile = function ({ user, profile, ...props }) {
    const classes = useStyles();
    const { ...rest } = props;
    return (
        <div>
        <Header
            rightLinks={<HeaderLinks username={user} />}
            fixed
            color="info"
            changeColorOnScroll={{
            height: 400,
            color: "white",
            }}
            {...rest}
        />
        <Parallax
            image={require("assets/img/Promotion_2-1.jpg")}
            styles={{ marginTop: "50px" }}
        />
        <div className={classNames(classes.main, classes.mainRaised)}>
            <DataProfile profile={profile}/>
        </div>
        <Footer />
        </div>
    );
};

export async function getServerSideProps(context) {
    var profile = [];
    var res = await GetProfile.profile();
    if (res["STATUS"] === 1) {
        profile = res["DATA"]["users"];
    }
    
    var { req, resp } = context;
    const cookies = new Cookies(req, resp);
    var user = "";
        var userObj = (await cookies.get("user"))
        ? JSON.parse(await cookies.get("user"))
        : null;
        if (userObj) {
        let sessionId = userObj["partners_login_states"].filter(function (i) {
            return (
            i.business_partner && i.business_partner.name.toUpperCase() == "SUZUKI"
            );
        });
        if (sessionId.length != 0) user = userObj["username"];
    }
    
    return {
        props: { profile, user }, // will be passed to the page component as props
    };
}
export default Profile;
